if(NOT ENV_PROJECT_INCLUDED)
set(ENV_PROJECT_INCLUDED TRUE)	
include($ENV{SSR_DIR}/shared/scripts/functions.cmake)
FUN_MESSAGE(DEBUG "Entering file EnvProject.cmake")
MACRO_INCLUDE_PREFERENCES_FILE()

# ===== BEGINNING OF AREA TO ADAPT TO PROJECT =====

#The Subversion checkout path
#set(SVN_PATH_SRC "http://svn.ext.sintef.no/svn/SSR/shared/trunk/projects/ShipNavigation/src")

# The name of the project
set(SOL_NAME WamitVessel)

# The top project directory
set(PROJECT_DIR $ENV{SSR_DIR}/shared/projects/${SOL_NAME})
file(TO_CMAKE_PATH ${PROJECT_DIR} PROJECT_DIR)

# The directory of the top CMakeLists.txt file
set(SRC_DIR ${PROJECT_DIR}/src)

# The build directory
set(PROJECT_BUILD_DIR ${PROJECT_DIR}/build)

# The project configurations
set(PROJECT_LINK_TYPES dynamic dynamicvis)

# ===== END OF AREA TO ADAPT TO PROJECT =====

include($ENV{SSR_DIR}/shared/scripts/Project_SetEnv.cmake) 
endif (NOT ENV_PROJECT_INCLUDED)