#include "dllLib.h"
#include "VesselControlSystemLib.h"

IMPORT_EXPORT SimObject* getSimObject(std::string subClassName, std::string simObjectName, ISimObjectCreator* creator){
	ADD_SIMOBJECT_REF(NonlinearPIDController,Controller/NonlinearPID);
	ADD_SIMOBJECT_REF(WpManagementSystem,WpManagementSystem);
	ADD_SIMOBJECT_REF(SampledSignalWithNoise,Other/SampledSignalWithNoise);
	ADD_SIMOBJECT_REF(ThrusterAllocation,ThrusterAllocation);
	ADD_SIMOBJECT_REF(NonlinearPassiveObserver,Observer/NonlinearPassiveObserver);
	return NULL;
}
