#ifndef WaveDrift_h__
#define WaveDrift_h__

#include <complex>
#include <vector>

class WaveDriftForce
{
public:
	virtual void Read( const std::string &fname ) = 0;

	virtual std::complex<double> GetRAOValue(int DOF, double ShipSpeed, double WaveFrequency, double WaveDirection) = 0;
private:


};
#endif // WaveDrift_h__