#include "WaveForce.h"
#include "HelpFunctions.h"
#include "Eigen\Core"
#include <vector>
#include <fstream>


class WaveDriftWamit : public WaveForce
{
public:
	
protected:

private:
	//void TokenizeString(const std::string &line,std::vector<std::string> &tokens);
	//void FindIndices(unsigned int *indexBelow, unsigned int *indexAbove, double value,std::vector<double> vectorOfValues,const unsigned int indexOfLastBelow, const unsigned int indexOfLastAbove);
	//void DiscreteToContinousScaling(const double minX, const double maxX, const double currentValue, double *alpha1, double *alpha2);

	std::vector<double> wavePeriod;
	std::vector<double> waveHeading;

	std::ifstream file;	
	double GRAVITY,RHO,ULEN,WATERDEPTH;
	size_t indexOfLastWaveHeadingBelow, indexOfLastWaveHeadingAbove;	// Index in the waveHeading vector of the heading angle below and above the actual heading
	size_t indexOfLastWavePeriodBelow,indexOfLastWavePeriodAbove;		// Index in the wavePeriod vector of the Period below and above the actual period
	std::vector< std::vector< Eigen::Matrix<double,9,4> > > RAOdata;	// data from the RAO-output file. Sorted on heading, then frequency.	
};